Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.support
Class NamespacePlugins

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.support.NamespacePlugins

All Implemented Interfaces:
  org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.xml.NamespaceHandlerResolver, EntityResolver

    public class NamespacePlugins

extends Object
implements org.springframework.beans.factory.xml.NamespaceHandlerResolver, EntityResolver, org.springframework.beans.factory.DisposableBean

Spring schema handler/resolver for OSGi environments. Besides delegation this class also does type filtering to avoid wiring the wrong bundle if multiple versions of the same library (which support the same schema) are available. Additionally, lazy handlers are supported so that they are checked (and thus loaded) only if no previous handler has been able to satisfy the request.

Author:
  Hal Hildebrand, Costin Leau

Constructor Summary
`NamespacePlugins()`

Method Summary
`void` | `destroy()`
`org.springframework.beans.factory.xml.NamespaceHandler` | `resolve(String namespaceUri)`
`InputSource` | `resolveEntity(String publicId, String systemId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespacePlugins

    public NamespacePlugins()

Method Detail

### resolve

    public org.springframework.beans.factory.xml.NamespaceHandler resolve(String namespaceUri)

  Specified by:
    `resolve` in interface `org.springframework.beans.factory.xml.NamespaceHandlerResolver`

### resolveEntity

    public InputSource resolveEntity(String publicId,
                                     String systemId)
                              throws SAXException,
                                     IOException

  Specified by:
    `resolveEntity` in interface `EntityResolver`
  Throws:
    `SAXException`
    `IOException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.springframework.beans.factory.DisposableBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.